Subject: Re: [Mip4] AD review of draft-ietf-mip4-nemov4-dynamic

From: Jari Arkko <[email-masked]>
Date: Tue, 18 Oct 2011 21:57:51 +0300

I have looked at this thread again, we need to move forward on this document.

My summary of the discussion  is that while you Kent know that this won't be an issue in your implementation there may still be other implementations out there. You brought up that advertising prefix 0 in routing protocol would not work anyway, and I agree, but that is actually the situation we should prevent. There will be chaos if prefix 0 is advertised. We don't want implementations causing that to unsuspecting home agents.

I also saw Alexandru prefer approach #2 (though he also seemed to say that prefix length zero is needed, and I think there he was incorrect - with zero there was no problem, the only problem is with non-zero lengths).

My recommendation would be to be on the safe side, and either remove the length hint functionality or include it in a separate option. Your call. Please update the draft and I'll send it forward to IETF last call.

(On second thought, perhaps you can update the draft while it is on last call.. I have sent out the last call request.)

Jari